Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi
Interface IExtensible

All Known Subinterfaces:
  Repository, Ticket

    public interface IExtensible

Represents an extensible repository SPI interface.

Method Summary
`Map<String,ISPIMarker>` | `getAllInterfaces()` Retrieve all CM SPI repository interfaces.
`Map<ICapabilityDefinition,CapabilityLevel>` | `getCapabilitySupport(Set<ICapabilityDefinition> capabilities)` Returns the degree of capability support for each of the specified capabilities.
`ISPIMarker` | `getInterface(String interfaceName)` Retrieve the specified SPI interface, or null if the repository does not implement the specified SPI interface.

Method Detail

### getAllInterfaces

    Map<String,ISPIMarker> getAllInterfaces()

  Retrieve all CM SPI repository interfaces. If the repository does not implement any SPI repository interfaces, this should return an empty Map. The key should be an entry from `SPIRepositoryInterfaces` and the value should be an implementation of ISPIRepositoryMarker.

### getInterface

    ISPIMarker getInterface(String interfaceName)

  Retrieve the specified SPI interface, or null if the repository does not implement the specified SPI interface.

### getCapabilitySupport

    Map<ICapabilityDefinition,CapabilityLevel> getCapabilitySupport(Set<ICapabilityDefinition> capabilities)

  Returns the degree of capability support for each of the specified capabilities. Applicable for repository ops capabilities, such as the RepositoryConfigOps.

  Parameters
    `capabilities` - The capabilities to look up.
  Returns
    A map of capability definition and its corresponding capability level.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.